netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
pathconv.c File Reference
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`
`#include <atalk/volume.h>`

## Functions
char * | convert_utf8_to_mac (const struct vol *vol, const char *upath)
| Convert a UTF-8 filename to a mangled Mac filename.

## Function Documentation

## ◆ convert_utf8_to_mac()

char * convert_utf8_to_mac | ( | const struct vol * | vol,
|  | const char * | upath )

Convert a UTF-8 filename to a mangled Mac filename.

Parameters

  vol | volume structure
  upath | input path in UTF-8

Returns
  pointer to static buffer containing mangled Mac filename

See also
  utompath() in etc/afpd/desktop.c